Loading...
Searching...
No Matches
IsoSpec::DirtyAllocator Class Reference

## Public Member Functions

| DirtyAllocator (const int dim, const int tabSize=10000)
| DirtyAllocator (const DirtyAllocator &other)=delete
DirtyAllocator & | operator= (const DirtyAllocator &other)=delete
void | shiftTables ()
void * | newConf ()

## Detailed Description

Definition at line 25 of file dirtyAllocator.h.

## Constructor & Destructor Documentation

## DirtyAllocator()

IsoSpec::DirtyAllocator::DirtyAllocator | ( | const int | dim,
|  | const int | tabSize = 10000 )

explicit

Definition at line 24 of file dirtyAllocator.cpp.

## ~DirtyAllocator()

IsoSpec::DirtyAllocator::~DirtyAllocator | ( |  | ) |

Definition at line 40 of file dirtyAllocator.cpp.

## Member Function Documentation

## newConf()

void * IsoSpec::DirtyAllocator::newConf | ( |  | ) |

inline

Definition at line 44 of file dirtyAllocator.h.

## shiftTables()

void IsoSpec::DirtyAllocator::shiftTables | ( |  | ) |

Definition at line 46 of file dirtyAllocator.cpp.

The documentation for this class was generated from the following files:

- /build/isospec-bgJzOn/isospec-2.3.2/src/IsoSpec++/dirtyAllocator.h
- /build/isospec-bgJzOn/isospec-2.3.2/src/IsoSpec++/dirtyAllocator.cpp